collaborative Protection Profile for Hardcopy Devices Version 2.0

Profile details

Status active
Valid from 23.09.2026
Valid until N/A
Scheme πŸ‡ΊπŸ‡Έ US
Category Multi-Function Devices
Security level N/A

Certification report

certification report could not be downloaded, no link is available.

Protection profile

Extracted keywords

Symmetric Algorithms
AES, AES-128, AES-256, SEED, HMAC, HMAC-SHA-384, HMAC-SHA-512, HMAC-SHA-256, CMAC
Asymmetric Algorithms
ECDH, ECDSA, ECC, Diffie-Hellman, DH, DSA
Post-quantum Algorithms
ML-KEM, ML-DSA, XMSS, LMS
Hash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA-2, SHAKE256
Schemes
MAC
Protocols
SSH, TLS, DTLS, IKEv1, IKEv2, IKE, IPsec
Randomness
DRBG, RNG, RBG
Block cipher modes
CBC, CTR, CFB, OFB, GCM, CCM, XTS

Trusted Execution Environments
SE, TEE

Claims
D.USER, D.TSF, O.USER_AUTHORIZATION, O.ACCESS_CONTROL, O.ADMIN_ROLES, O.UPDATE_VERIFICATION, O.TSF_SELF_TEST, O.COMMS_PROTECTION, O.AUDIT, O.STORAGE_ENCRYPTION, O.KEY_MATERIAL, O.FAX_NET_SEPARATION, O.IMAGE_OVERWRITE, O.WIPE_DATA, O.AUTH_FAILURES, O.FW_INTEGRITY, O.STRONG_CRYPTO, O.ACCESS_CONTR, O.USER_AUTHORI, O.UPDATE_VERIFI, O.COMMS_PROTE, O.STORAGE_ENCR, O.FAX_NET_SEPAR, O.IMAGE_OVERW, O.STRONG_CRYPT, O.USER_AUTHORIZAT, O.UPDATE_VERIFICAT, O.COMMS_PROTECTI, O.STORAGE_ENCRYPT, O.FAX_NET_SEPARATI, O.USER_AU, O.ACCESS_C, O.ADMIN_R, O.UPDATE_, O.TSF_SELF, O.COMMS_P, O.STORAGE, O.KEY_MAT, O.FAX_NET_, O.IMAGE_O, O.WIPE_DA, O.AUTH_FAI, O.FW_INTE, O.STRONG_, T.UNAUTHORIZED_ACCESS, T.TSF_COMPROMISE, T.UNAUTHORIZED_UPDATE, T.NET_COMPROMISE, T.TSF_FAILURE, T.WEAK_CRYPTO, T.UNAUTHORIZED, T.TSF_COMPROMI, T.NET_COMPROMI, T.UNAUTHORIZED_AC, T.UNAUTHORIZED_UP, A.PHYSICAL, A.NETWORK, A.TRUSTED_ADMIN, A.TRAINED_USERS, A.TRUSTED_ADMI, OE.PHYSICAL_PROTECTION, OE.NETWORK_PROTECTION, OE.ADMIN_TRUST, OE.USER_TRAINING, OE.ADMIN_TRAINING, OE.PHYSICAL_PRO, OE.NETWORK_PR, OE.USER_TRAININ, OE.ADMIN_TRAIN, OE.PHYSICAL_PROTE, OE.NETWORK_PROTE
Security Assurance Requirements (SAR)
ADV_FSP.1, AGD_OPE.1, AGD_PRE.1, AGD_OPE, ALC_CMC.1, ALC_CMS.1, ATE_IND.1, ATE_IND, AVA_VAN.1, AVA_VAN, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1
Security Functional Requirements (SFR)
FAU_GEN.1, FAU_GEN.2, FAU_SAR.1, FAU_SAR.2, FAU_STG.1, FAU_STG.2, FAU_STG.5, FAU_GEN.1.1, FAU_GEN.1.2, FAU_GEN.2.1, FAU_SAR.1.1, FAU_SAR.1.2, FAU_SAR.2.1, FAU_STG.1.1, FAU_STG.2.1, FAU_STG.2.2, FAU_STG.4, FAU_STG.5.1, FAU_GEN, FCS_CKM, FCS_CKM.2, FCS_CKM.6, FCS_COP, FCS_RBG_EXT.1, FCS_SMC_EXT.1, FCS_TLSC_EXT, FCS_TLSS_EXT, FCS_SSHC_EXT, FCS_SSHS_EXT, FCS_PCC_EXT.1, FCS_CKM.5, FCS_SNI_EXT.1, FCS_KYC_EXT.1, FCS_KYC_EXT, FCS_PCC_EXT, FCS_RBG_EXT, FCS_SMC_EXT, FCS_SNI_EXT, FCS_CKM.1, FCS_CKM.2.1, FCS_COP.1, FCS_CKM.6.1, FCS_CKM.6.2, FCS_RBG_EXT.1.1, FCS_RBG_EXT.1.2, FCS_CKM_EXT.7, FCS_CKM_EXT.8, FCS_OTV_EXT.1, FCS_KYC_EXT.1.1, FCS_SMC_EXT.1.1, FCS_SSHC_EXT.1, FCS_SSHC_EXT.1.1, FCS_SSHC_EXT.1.2, FCS_SSHC_EXT.1.3, FCS_SSHC_EXT.1.4, FCS_SSHC_EXT.1.5, FCS_SSHC_EXT.1.9, FCS_SSHC_EXT.1.6, FCS_SSHC_EXT.1.7, FCS_SSHC_EXT.1.8, FCS_SSHS_EXT.1, FCS_SSHS_EXT.1.1, FCS_SSHS_EXT.1.2, FCS_SSHS_EXT.1.3, FCS_SSHS_EXT.1.4, FCS_SSHS_EXT.1.5, FCS_SSHS_EXT.1.6, FCS_SSHS_EXT.1.7, FCS_SSHS_EXT.1.8, FCS_TLSS_EXT.1, FCS_TLSC_EXT.1, FCS_PCC_EXT.1.1, FCS_CKM.5.1, FCS_SNI_EXT.1.1, FCS_SNI_EXT.1.2, FCS_TLSC_EXT.2, FCS_TLSS_EXT.2, FCS_TLSC_EXT.1.3, FCS_TLSC_EXT.2.3, FCS_RBG.1, FCS_RBG.2, FCS_RBG.3, FDP_ACC.1, FDP_ACF.1, FDP_DSK_EXT.1, FDP_FXS_EXT.1, FDP_UDU_EXT.1, FDP_DSK_EXT, FDP_FXS_EXT, FDP_UDU_EXT, FDP_ITC.1, FDP_ITC.2, FDP_ACC.1.1, FDP_ACF.1.1, FDP_ACF.1.2, FDP_ACF.1.3, FDP_ACF.1.4, FDP_IFC.1, FDP_DSK_EXT.1.1, FDP_DSK_EXT.1.2, FDP_FXS_EXT.1.1, FDP_FXS, FDP_UDU_EXT.1.1, FIA_ATD.1, FIA_PMG_EXT.1, FIA_UAU.1, FIA_UAU.7, FIA_UID.1, FIA_USB.1, FIA_PSK_EXT.1, FIA_AFL.1, FIA_PMG_EXT, FIA_PSK_EXT, FIA_ATD.1.1, FIA_PMG_EXT.1.1, FIA_UAU.1.1, FIA_UAU.1.2, FIA_UAU.7.1, FIA_UID.1.1, FIA_UID.1.2, FIA_USB.1.1, FIA_USB.1.2, FIA_USB.1.3, FIA_PSK_EXT.1.1, FIA_PSK_EXT.1.2, FIA_PSK_EXT.1.3, FIA_AFL.1.1, FIA_AFL.1.2, FIA_SOS.1, FMT_MOF.1, FMT_MSA.1, FMT_MSA.3, FMT_MTD.1, FMT_SMF.1, FMT_SMR.1, FMT_MSA.1.1, FMT_MSA.3.1, FMT_MSA.3.2, FMT_MTD.1.1, FMT_SMR.1.1, FMT_SMR.1.2, FPT_SBT_EXT.1, FPT_SKP_EXT.1, FPT_STM.1, FPT_TST_EXT.1, FPT_TUD_EXT.1, FPT_KYP_EXT.1, FPT_WIPE_EXT.1, FPT_WIPE_EXT, FPT_SBT_EXT, FPT_KYP_EXT, FPT_SKP_EXT, FPT_TST_EXT, FPT_TUD_EXT, FPT_SBT_EXT.1.1, FPT_SBT_EXT.1.2, FPT_SBT_EXT.1.3, FPT_SBT_EXT.1.4, FPT_SBT_EXT.1.5, FPT_SBT_EXT.1.6, FPT_SKP_EXT.1.1, FPT_STM.1.1, FPT_TST_EXT.1.1, FPT_TUD_EXT.1.1, FPT_TUD_EXT.1.2, FPT_TUD_EXT.1.3, FPT_KYP_EXT.1.1, FPT_WIPE_EXT.1.1, FPT_FLS.1, FPT_TST.1, FTA_SSL.3, FTA_SSL.3.1, FTP_ITC.1, FTP_TRP, FTP_ITC, FTP_ITC.1.1, FTP_ITC.1.2, FTP_ITC.1.3, FTP_TRP.1, FTP_TRP.1.1

Side-channel analysis
Malfunction, malfunction
Certification process
out of scope, such as portable flash memory devices) to the HCD, those devices and data contained within them are out of scope of the TOE and interfaces to connect such devices should be disabled, indicated as 'REQUIRED' but not listed in the later elements of this component are implemented is out of scope of the evaluation activity for this requirement

References

No references are available for this protection profile.

Processing updates

Feed
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile was first processed.

Raw data

{
  "_id": "915fba0c453cd6ee",
  "_type": "sec_certs.sample.protection_profile.ProtectionProfile",
  "dgst": "915fba0c453cd6ee",
  "heuristics": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
  },
  "pdf_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
    "pp_filename": "",
    "pp_keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 1
          },
          "ECDH": {
            "ECDH": 1
          },
          "ECDSA": {
            "ECDSA": 5
          }
        },
        "FF": {
          "DH": {
            "DH": 10,
            "Diffie-Hellman": 7
          },
          "DSA": {
            "DSA": 2
          }
        }
      },
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.NETWORK": 4,
          "A.PHYSICAL": 4,
          "A.TRAINED_USERS": 5,
          "A.TRUSTED_ADMI": 1,
          "A.TRUSTED_ADMIN": 3
        },
        "D": {
          "D.TSF": 17,
          "D.USER": 20
        },
        "O": {
          "O.ACCESS_C": 1,
          "O.ACCESS_CONTR": 1,
          "O.ACCESS_CONTROL": 12,
          "O.ADMIN_R": 1,
          "O.ADMIN_ROLES": 11,
          "O.AUDIT": 14,
          "O.AUTH_FAI": 1,
          "O.AUTH_FAILURES": 5,
          "O.COMMS_P": 1,
          "O.COMMS_PROTE": 1,
          "O.COMMS_PROTECTI": 1,
          "O.COMMS_PROTECTION": 23,
          "O.FAX_NET_": 1,
          "O.FAX_NET_SEPAR": 1,
          "O.FAX_NET_SEPARATI": 1,
          "O.FAX_NET_SEPARATION": 3,
          "O.FW_INTE": 1,
          "O.FW_INTEGRITY": 6,
          "O.IMAGE_O": 1,
          "O.IMAGE_OVERW": 1,
          "O.IMAGE_OVERWRITE": 5,
          "O.KEY_MAT": 1,
          "O.KEY_MATERIAL": 5,
          "O.STORAGE": 1,
          "O.STORAGE_ENCR": 1,
          "O.STORAGE_ENCRYPT": 1,
          "O.STORAGE_ENCRYPTION": 19,
          "O.STRONG_": 1,
          "O.STRONG_CRYPT": 1,
          "O.STRONG_CRYPTO": 29,
          "O.TSF_SELF": 1,
          "O.TSF_SELF_TEST": 5,
          "O.UPDATE_": 1,
          "O.UPDATE_VERIFI": 1,
          "O.UPDATE_VERIFICAT": 1,
          "O.UPDATE_VERIFICATION": 5,
          "O.USER_AU": 1,
          "O.USER_AUTHORI": 1,
          "O.USER_AUTHORIZAT": 1,
          "O.USER_AUTHORIZATION": 11,
          "O.WIPE_DA": 1,
          "O.WIPE_DATA": 6
        },
        "OE": {
          "OE.ADMIN_TRAIN": 1,
          "OE.ADMIN_TRAINING": 3,
          "OE.ADMIN_TRUST": 4,
          "OE.NETWORK_PR": 1,
          "OE.NETWORK_PROTE": 1,
          "OE.NETWORK_PROTECTION": 2,
          "OE.PHYSICAL_PRO": 1,
          "OE.PHYSICAL_PROTE": 1,
          "OE.PHYSICAL_PROTECTION": 2,
          "OE.USER_TRAININ": 1,
          "OE.USER_TRAINING": 3
        },
        "T": {
          "T.NET_COMPROMI": 1,
          "T.NET_COMPROMISE": 3,
          "T.TSF_COMPROMI": 3,
          "T.TSF_COMPROMISE": 3,
          "T.TSF_FAILURE": 4,
          "T.UNAUTHORIZED": 5,
          "T.UNAUTHORIZED_AC": 1,
          "T.UNAUTHORIZED_ACCESS": 2,
          "T.UNAUTHORIZED_UP": 1,
          "T.UNAUTHORIZED_UPDATE": 2,
          "T.WEAK_CRYPTO": 4
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_FSP.1": 4
        },
        "AGD": {
          "AGD_OPE": 4,
          "AGD_OPE.1": 3,
          "AGD_PRE.1": 3
        },
        "ALC": {
          "ALC_CMC.1": 4,
          "ALC_CMS.1": 3
        },
        "ASE": {
          "ASE_CCL.1": 1,
          "ASE_ECD.1": 1,
          "ASE_INT.1": 1,
          "ASE_OBJ.2": 1,
          "ASE_REQ.2": 1,
          "ASE_SPD.1": 1,
          "ASE_TSS.1": 1
        },
        "ATE": {
          "ATE_IND": 1,
          "ATE_IND.1": 3
        },
        "AVA": {
          "AVA_VAN": 2,
          "AVA_VAN.1": 3
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FAU": {
          "FAU_GEN": 19,
          "FAU_GEN.1": 15,
          "FAU_GEN.1.1": 1,
          "FAU_GEN.1.2": 1,
          "FAU_GEN.2": 4,
          "FAU_GEN.2.1": 1,
          "FAU_SAR.1": 6,
          "FAU_SAR.1.1": 1,
          "FAU_SAR.1.2": 1,
          "FAU_SAR.2": 4,
          "FAU_SAR.2.1": 1,
          "FAU_STG.1": 4,
          "FAU_STG.1.1": 1,
          "FAU_STG.2": 5,
          "FAU_STG.2.1": 1,
          "FAU_STG.2.2": 1,
          "FAU_STG.4": 1,
          "FAU_STG.5": 4,
          "FAU_STG.5.1": 1
        },
        "FCS": {
          "FCS_CKM": 53,
          "FCS_CKM.1": 10,
          "FCS_CKM.2": 22,
          "FCS_CKM.2.1": 3,
          "FCS_CKM.5": 22,
          "FCS_CKM.5.1": 2,
          "FCS_CKM.6": 55,
          "FCS_CKM.6.1": 2,
          "FCS_CKM.6.2": 2,
          "FCS_CKM_EXT.7": 1,
          "FCS_CKM_EXT.8": 1,
          "FCS_COP": 257,
          "FCS_COP.1": 13,
          "FCS_KYC_EXT": 3,
          "FCS_KYC_EXT.1": 10,
          "FCS_KYC_EXT.1.1": 7,
          "FCS_OTV_EXT.1": 1,
          "FCS_PCC_EXT": 2,
          "FCS_PCC_EXT.1": 6,
          "FCS_PCC_EXT.1.1": 2,
          "FCS_RBG.1": 3,
          "FCS_RBG.2": 1,
          "FCS_RBG.3": 1,
          "FCS_RBG_EXT": 3,
          "FCS_RBG_EXT.1": 45,
          "FCS_RBG_EXT.1.1": 2,
          "FCS_RBG_EXT.1.2": 4,
          "FCS_SMC_EXT": 2,
          "FCS_SMC_EXT.1": 16,
          "FCS_SMC_EXT.1.1": 2,
          "FCS_SNI_EXT": 5,
          "FCS_SNI_EXT.1": 4,
          "FCS_SNI_EXT.1.1": 2,
          "FCS_SNI_EXT.1.2": 2,
          "FCS_SSHC_EXT": 12,
          "FCS_SSHC_EXT.1": 9,
          "FCS_SSHC_EXT.1.1": 2,
          "FCS_SSHC_EXT.1.2": 2,
          "FCS_SSHC_EXT.1.3": 2,
          "FCS_SSHC_EXT.1.4": 2,
          "FCS_SSHC_EXT.1.5": 8,
          "FCS_SSHC_EXT.1.6": 3,
          "FCS_SSHC_EXT.1.7": 2,
          "FCS_SSHC_EXT.1.8": 2,
          "FCS_SSHC_EXT.1.9": 3,
          "FCS_SSHS_EXT": 11,
          "FCS_SSHS_EXT.1": 8,
          "FCS_SSHS_EXT.1.1": 2,
          "FCS_SSHS_EXT.1.2": 2,
          "FCS_SSHS_EXT.1.3": 2,
          "FCS_SSHS_EXT.1.4": 2,
          "FCS_SSHS_EXT.1.5": 7,
          "FCS_SSHS_EXT.1.6": 3,
          "FCS_SSHS_EXT.1.7": 2,
          "FCS_SSHS_EXT.1.8": 2,
          "FCS_TLSC_EXT": 16,
          "FCS_TLSC_EXT.1": 5,
          "FCS_TLSC_EXT.1.3": 1,
          "FCS_TLSC_EXT.2": 2,
          "FCS_TLSC_EXT.2.3": 1,
          "FCS_TLSS_EXT": 16,
          "FCS_TLSS_EXT.1": 8,
          "FCS_TLSS_EXT.2": 2
        },
        "FDP": {
          "FDP_ACC.1": 13,
          "FDP_ACC.1.1": 1,
          "FDP_ACF.1": 9,
          "FDP_ACF.1.1": 1,
          "FDP_ACF.1.2": 1,
          "FDP_ACF.1.3": 1,
          "FDP_ACF.1.4": 1,
          "FDP_DSK_EXT": 2,
          "FDP_DSK_EXT.1": 6,
          "FDP_DSK_EXT.1.1": 4,
          "FDP_DSK_EXT.1.2": 2,
          "FDP_FXS": 1,
          "FDP_FXS_EXT": 3,
          "FDP_FXS_EXT.1": 4,
          "FDP_FXS_EXT.1.1": 2,
          "FDP_IFC.1": 1,
          "FDP_ITC.1": 9,
          "FDP_ITC.2": 9,
          "FDP_UDU_EXT": 2,
          "FDP_UDU_EXT.1": 4,
          "FDP_UDU_EXT.1.1": 2
        },
        "FIA": {
          "FIA_AFL.1": 6,
          "FIA_AFL.1.1": 1,
          "FIA_AFL.1.2": 1,
          "FIA_ATD.1": 6,
          "FIA_ATD.1.1": 1,
          "FIA_PMG_EXT": 2,
          "FIA_PMG_EXT.1": 6,
          "FIA_PMG_EXT.1.1": 2,
          "FIA_PSK_EXT": 2,
          "FIA_PSK_EXT.1": 8,
          "FIA_PSK_EXT.1.1": 2,
          "FIA_PSK_EXT.1.2": 2,
          "FIA_PSK_EXT.1.3": 3,
          "FIA_SOS.1": 3,
          "FIA_UAU.1": 9,
          "FIA_UAU.1.1": 1,
          "FIA_UAU.1.2": 1,
          "FIA_UAU.7": 5,
          "FIA_UAU.7.1": 1,
          "FIA_UID.1": 13,
          "FIA_UID.1.1": 1,
          "FIA_UID.1.2": 1,
          "FIA_USB.1": 4,
          "FIA_USB.1.1": 1,
          "FIA_USB.1.2": 1,
          "FIA_USB.1.3": 1
        },
        "FMT": {
          "FMT_MOF.1": 6,
          "FMT_MSA.1": 8,
          "FMT_MSA.1.1": 1,
          "FMT_MSA.3": 9,
          "FMT_MSA.3.1": 1,
          "FMT_MSA.3.2": 2,
          "FMT_MTD.1": 5,
          "FMT_MTD.1.1": 1,
          "FMT_SMF.1": 21,
          "FMT_SMR.1": 18,
          "FMT_SMR.1.1": 1,
          "FMT_SMR.1.2": 1
        },
        "FPT": {
          "FPT_FLS.1": 1,
          "FPT_KYP_EXT": 2,
          "FPT_KYP_EXT.1": 4,
          "FPT_KYP_EXT.1.1": 2,
          "FPT_SBT_EXT": 3,
          "FPT_SBT_EXT.1": 8,
          "FPT_SBT_EXT.1.1": 2,
          "FPT_SBT_EXT.1.2": 4,
          "FPT_SBT_EXT.1.3": 2,
          "FPT_SBT_EXT.1.4": 2,
          "FPT_SBT_EXT.1.5": 3,
          "FPT_SBT_EXT.1.6": 4,
          "FPT_SKP_EXT": 2,
          "FPT_SKP_EXT.1": 4,
          "FPT_SKP_EXT.1.1": 2,
          "FPT_STM.1": 8,
          "FPT_STM.1.1": 1,
          "FPT_TST.1": 6,
          "FPT_TST_EXT": 2,
          "FPT_TST_EXT.1": 6,
          "FPT_TST_EXT.1.1": 2,
          "FPT_TUD_EXT": 2,
          "FPT_TUD_EXT.1": 4,
          "FPT_TUD_EXT.1.1": 2,
          "FPT_TUD_EXT.1.2": 3,
          "FPT_TUD_EXT.1.3": 6,
          "FPT_WIPE_EXT": 2,
          "FPT_WIPE_EXT.1": 4,
          "FPT_WIPE_EXT.1.1": 2
        },
        "FTA": {
          "FTA_SSL.3": 4,
          "FTA_SSL.3.1": 1
        },
        "FTP": {
          "FTP_ITC": 1,
          "FTP_ITC.1": 23,
          "FTP_ITC.1.1": 5,
          "FTP_ITC.1.2": 1,
          "FTP_ITC.1.3": 3,
          "FTP_TRP": 26,
          "FTP_TRP.1": 10,
          "FTP_TRP.1.1": 1
        }
      },
      "certification_process": {
        "OutOfScope": {
          "indicated as \u0027REQUIRED\u0027 but not listed in the later elements of this component are implemented is out of scope of the evaluation activity for this requirement": 2,
          "out of scope": 3,
          "such as portable flash memory devices) to the HCD, those devices and data contained within them are out of scope of the TOE and interfaces to connect such devices should be disabled": 2
        }
      },
      "cipher_mode": {
        "CBC": {
          "CBC": 22
        },
        "CCM": {
          "CCM": 20
        },
        "CFB": {
          "CFB": 12
        },
        "CTR": {
          "CTR": 17
        },
        "GCM": {
          "GCM": 33
        },
        "OFB": {
          "OFB": 12
        },
        "XTS": {
          "XTS": 10
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 9,
          "IKEv1": 21,
          "IKEv2": 21
        },
        "IPsec": {
          "IPsec": 40
        },
        "SSH": {
          "SSH": 121
        },
        "TLS": {
          "DTLS": {
            "DTLS": 52
          },
          "TLS": {
            "TLS": 68
          }
        }
      },
      "crypto_scheme": {
        "MAC": {
          "MAC": 29
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "B-233": 2,
          "B-283": 1,
          "K-233": 2,
          "K-283": 2,
          "NIST B-233": 1,
          "NIST B-283": 1,
          "NIST K-233": 1,
          "NIST K-283": 1,
          "NIST P-224": 1,
          "NIST P-256": 1,
          "P-224": 5,
          "P-256": 9,
          "P-384": 5,
          "P-521": 4,
          "curve P-384": 1
        }
      },
      "eval_facility": {},
      "hash_function": {
        "SHA": {
          "SHA1": {
            "SHA-1": 5
          },
          "SHA2": {
            "SHA-2": 4,
            "SHA-224": 3,
            "SHA-256": 14,
            "SHA-384": 10,
            "SHA-512": 10
          }
        },
        "SHAKE": {
          "SHAKE256": 2
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {
        "FIPS": {
          "ML-DSA": 1,
          "ML-KEM": 5
        },
        "LMS": {
          "LMS": 2
        },
        "XMSS": {
          "XMSS": 2
        }
      },
      "randomness": {
        "PRNG": {
          "DRBG": 5
        },
        "RNG": {
          "RBG": 13,
          "RNG": 5
        }
      },
      "side_channel_analysis": {
        "FI": {
          "Malfunction": 2,
          "malfunction": 6
        }
      },
      "standard_id": {
        "CC": {
          "CCMB-2022-11-001": 1,
          "CCMB-2022-11-002": 1,
          "CCMB-2022-11-003": 1,
          "CCMB-2022-11-004": 1,
          "CCMB-2022-11-005": 1,
          "CCMB-2022-11-006": 1
        },
        "FIPS": {
          "FIPS 203": 3,
          "FIPS 204": 2,
          "FIPS PUB 180-4": 1,
          "FIPS PUB 186-4": 4,
          "FIPS PUB 186-5": 4,
          "FIPS PUB 197": 4,
          "FIPS PUB 198-1": 1
        },
        "ISO": {
          "ISO/IEC 10116": 2,
          "ISO/IEC 10116:2017": 24,
          "ISO/IEC 10118": 2,
          "ISO/IEC 14888-3": 1,
          "ISO/IEC 18031:2011": 7,
          "ISO/IEC 18033-3": 2,
          "ISO/IEC 19772": 6,
          "ISO/IEC 19772:2009": 14,
          "ISO/IEC 19790": 2,
          "ISO/IEC 9796-2": 1
        },
        "NIST": {
          "NIST SP 800-108": 1,
          "NIST SP 800-132": 3,
          "NIST SP 800-133": 1,
          "NIST SP 800-208": 2,
          "NIST SP 800-227": 1,
          "NIST SP 800-38A": 5,
          "NIST SP 800-38B": 1,
          "NIST SP 800-38C": 3,
          "NIST SP 800-38D": 4,
          "NIST SP 800-38F": 8,
          "NIST SP 800-56B": 2,
          "NIST SP 800-57": 2,
          "SP 800-131A": 1
        },
        "PKCS": {
          "PKCS #1": 2
        },
        "RFC": {
          "RFC 2409": 1,
          "RFC 2818": 3,
          "RFC 2986": 2,
          "RFC 3526": 4,
          "RFC 3602": 8,
          "RFC 4106": 6,
          "RFC 4109": 2,
          "RFC 4251": 4,
          "RFC 4253": 8,
          "RFC 4256": 1,
          "RFC 4301": 3,
          "RFC 4303": 2,
          "RFC 4304": 2,
          "RFC 4344": 1,
          "RFC 4868": 6,
          "RFC 4945": 2,
          "RFC 5114": 2,
          "RFC 5280": 7,
          "RFC 5282": 2,
          "RFC 5647": 11,
          "RFC 5656": 1,
          "RFC 5759": 2,
          "RFC 5996": 3,
          "RFC 6187": 3,
          "RFC 6668": 3,
          "RFC 6960": 2,
          "RFC 7296": 1,
          "RFC 7919": 2,
          "RFC 8017": 2,
          "RFC 8268": 1,
          "RFC 8308": 1,
          "RFC 8332": 4,
          "RFC 8391": 1,
          "RFC 8554": 1
        },
        "X509": {
          "X.509": 39
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 28,
            "AES-128": 1,
            "AES-256": 1
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 1,
            "HMAC": 11,
            "HMAC-SHA-256": 1,
            "HMAC-SHA-384": 5,
            "HMAC-SHA-512": 5
          }
        },
        "miscellaneous": {
          "SEED": {
            "SEED": 23
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {
        "IBM": {
          "SE": 6
        },
        "other": {
          "TEE": 2
        }
      },
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "pp_metadata": {
      "/CreationDate": "D:20260731160000-06\u002700\u0027",
      "/Creator": "",
      "/ModDate": "D:20260731155907-06\u002700\u0027",
      "/Producer": "Asciidoctor PDF 2.3.24, based on Prawn 2.4.0",
      "/Title": "collaborative Protection Profile for Hardcopy Devices",
      "pdf_file_size_bytes": 2832618,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://www.commoncriteriaportal.org/",
          "mailto:[email protected]",
          "https://cvsweb.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/PROTOCOL?rev=1.31",
          "mailto:[email protected]",
          "mailto:[email protected]"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 169
    },
    "report_filename": null,
    "report_keywords": null,
    "report_metadata": null
  },
  "scheme_metadata": {
    "cc_version": "CC:2022",
    "pp_short_name": "CPP_HCD_V2.0",
    "pp_sponsor_id": "HCD iTC",
    "pp_transition": null,
    "predecessor": "CPP_HCD_V1.1",
    "source_scheme": "US",
    "successor": null
  },
  "state": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
    "pp": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "9ff3bd7d97846022c90ef7ab16f456a0272b65f3c62a2c562d933f86e03a3c43",
      "source_hash": "a89c897201043cfb10aab7c56283873427764c607f66e08708aa3afc70e62ca9",
      "txt_hash": "1a031ca992c33530f3ffd2500e6b5a0ed67ed4dae1b98e2406518320ba3c48cd"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": false,
      "download_ok": false,
      "extract_ok": false,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
    "category": "Multi-Function Devices",
    "is_collaborative": true,
    "maintenances": [],
    "name": "collaborative Protection Profile for Hardcopy Devices Version 2.0",
    "not_valid_after": null,
    "not_valid_before": "2026-09-23",
    "pp_link": "https://www.niap-ccevs.org/api/file/get_public_file/?file_id=39628",
    "report_link": null,
    "scheme": "US",
    "security_level": {
      "_type": "Set",
      "elements": []
    },
    "status": "active",
    "version": "2.0"
  }
}